export const interactable_entities = [
    {
        "name": "Map Guide",
        "location": {
            "x": 42,
            "y": 72,
            "z": 45
        },
        "dialogue": [
            "§8§l> §r§fWelcome to Winter Wonderland, a festive map by Limestone! §l§a[1/4]",
            "§8§l> §r§fInspired by Christmas culture in India, although not a traditional festival, Christmas is widely celebrated across the country. §l§a[2/4]",
            "§8§l> §r§fUse the Map Menu to teleport to various games and places, and the Christmas Bell points to play games and make purchases. §l§a[3/4]",
            "§8§l> §r§fHave a Merry Christmas and a Happy New Year! §l§a[4/4]"
        ],
        "time": [10, 90, 260, 420],
        "sound": "spawn"
    },
    {
        "name": "Double or Nothing",
        "location": {
            "x": 118,
            "y": 70,
            "z": 106
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Double Or Nothing', an exciting casino game! §l§a[1/6]",
            "§8§l> §r§fInsert one Christmas Bell Point in the Input Section and press the start button. §l§a[2/6]",
            "§8§l> §r§fTo take a risk, bet by pressing the 'Next Bet' button at the end of the lights. §l§a[3/6]",
            "§8§l> §r§fIf luck is on your side, your bet will double; otherwise, you'll lose everything. §l§a[4/6]",
            "§8§l> §r§fTo withdraw your winnings, press the 'Withdraw Winnings' button at the end of the lights. §l§a[5/6]",
            "§8§l> §r§fThank you! §l§a[6/6]"
        ],
        "time": [0, 80, 190, 290, 410, 510],
        "sound": "DoN"
    },
    {
        "name": "Roulette Wheel",
        "location": {
            "x": 122,
            "y": 71,
            "z": 135
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Roulette Wheel', an exhilarating casino game! §l§a[1/6]",
            "§8§l> §r§fInsert one Christmas Bell Point in the Shulker Box and choose the color to bet on. §l§a[2/6]",
            "§8§l> §r§fPress the Start Button to spin the wheel. §l§a[3/6]",
            "§8§l> §r§fIf the ball lands on your selected color, you'll be rewarded; otherwise, you'll lose. §l§a[4/6]",
            "§8§l> §r§fAvoid spamming the buttons, as it may result in point loss. §l§a[5/6]",
            "§8§l> §r§fEnjoy the game! §l§a[6/6]"
        ],
        "time": [0, 80, 185, 240, 360, 455],
        "sound": "roulette"
    },
    {
        "name": "Spin The Lights",
        "location": {
            "x": 148,
            "y": 71,
            "z": 103
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Spin The Lights,'' an exciting casino game! §l§a[1/5]",
            "§8§l> §r§fInsert one Christmas Bell Point in the Input Section and press the 'Start Spinning' button. §l§a[2/5]",
            "§8§l> §r§fIf the light stops on the diamond blocks, you'll receive rewards; otherwise, you lose. §l§a[3/5]",
            "§8§l> §r§fWithdraw your winnings from the barrel below. §l§a[4/5]",
            "§8§l> §r§fThank you! §l§a[5/5]"
        ],
        "time": [0, 80, 190, 316, 375],
        "sound": "STL"
    },
    {
        "name": "Bulls Eye",
        "location": {
            "x": 176,
            "y": 72,
            "z": 114
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Bulls Eye', an exciting casino game! §l§a[1/5]",
            "§8§l> §r§fDrop one Christmas Bell Point in the Input Hopper to play. §l§a[2/5]",
            "§8§l> §r§fAn arrow will be shot by the dispenser; if it lands on the target, you receive rewards, otherwise, you lose. §l§a[3/5]",
            "§8§l> §r§fPlease avoid dropping more than one Christmas Bell, as only one arrow will be shot per entry. §l§a[4/5]",
            "§8§l> §r§fThank you! §l§a[5/5]"
        ],
        "time": [0, 75, 155, 310, 430],
        "sound": "bullseye"
    },
    {
        "name": "Hit The Target",
        "location": {
            "x": 160,
            "y": 71,
            "z": 127
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Hit The Target,' a delightful minigame! §l§a[1/5]",
            "§8§l> §r§fHit the target block and aim for the bullseye. §l§a[2/5]",
            "§8§l> §r§fSuccessfully hitting it will earn you rewards. §l§a[3/5]",
            "§8§l> §r§fWhile not a casino game, it's a captivating addition to test your skills and earn rewards. §l§a[4/5]",
            "§8§l> §r§fThank you! §l§a[5/5]"
        ],
        "time": [0, 75, 135, 200, 320],
        "sound": "HTT"
    },
    {
        "name": "Guess The Number",
        "location": {
            "x": 159,
            "y": 72,
            "z": 135
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Guess The Number,' a delightful minigame! §l§a[1/8]",
            "§8§l> §r§fPress the 'Start' button to enter the game. §l§a[2/8]",
            "§8§l> §r§fYou'll find three options in your inventory; select one by right-clicking or using the item. §l§a[3/8]",
            "§8§l> §r§fGuess the correct number to earn rewards; otherwise, no winnings. §l§a[4/8]",
            "§8§l> §r§fPlay five rounds to qualify for rewards. §l§a[5/8]",
            "§8§l> §r§fEmpty your inventory into the chests before entering, as it will be cleared later. §l§a[6/8]",
            "§8§l> §r§fRetrieve your items after the game. §l§a[7/8]",
            "§8§l> §r§fThank you! §l§a[8/8]"
        ],
        "time": [0, 70, 125, 240, 340, 410, 510, 570],
        "sound": "GTN"
    },
    {
        "name": "Tower Of Luck",
        "location": {
            "x": 143,
            "y": 72,
            "z": 136
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Tower Of Luck,' an exciting casino game! §l§a[1/6]",
            "§8§l> §r§fInsert one Christmas Bell Point into the Input Shulker and press the button. §l§a[2/6]",
            "§8§l> §r§fWith 6 levels, the light will randomly stop at one. §l§a[3/6]",
            "§8§l> §r§fYou'll receive rewards up to the indicated level. §l§a[4/6]",
            "§8§l> §r§fTest your luck and enjoy the game. §l§a[5/6]",
            "§8§l> §r§fThank you! §l§a[6/6]",
        ],
        "time": [0, 80, 180, 265, 335, 385],
        "sound": "ToL"
    },
    {
        "name": "Gifts Arena",
        "location": {
            "x": 82,
            "y": 70,
            "z": 82
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Gifts Arena,' where you can purchase and open gifts! §l§a[1/6]",
            "§8§l> §r§fBuy gift loot bags from the villager, then right-click or use the loot bag to redeem the gifts. §l§a[2/6]",
            "§8§l> §r§fEach loot bag can contain up to 8 gifts. §l§a[3/6]",
            "§8§l> §r§fPress the button to the left, to receive a tool for opening the gifts. §l§a[4/6]",
            "§8§l> §r§fRemember, gifts can only be placed and opened within this arena using the tool provided. §l§a[5/6]",
            "§8§l> §r§fEnjoy the Christmas festivities! §l§a[6/6]"
        ],
        "time": [0, 90, 220, 290, 380, 495],
        "sound": "gifts"
    },
    {
        "name": "Dunk Tank",
        "location": {
            "x": 77,
            "y": 71,
            "z": 99
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Dunk Tank,' an exciting minigame! §l§a[1/5]",
            "§8§l> §r§fPress the Start Button to begin. §l§a[2/5]",
            "§8§l> §r§fYou'll receive snowballs, and your goal is to hit the target blocks to dunk the elves into the water. §l§a[3/5]",
            "§8§l> §r§fFor each dunked elf, you'll earn 1 to 2 bell points. §l§a[4/5]",
            "§8§l> §r§fEnjoy the game! §l§a[5/5]"
        ],
        "time": [0, 75, 125, 255, 345],
        "sound": "dunktank"
    },
    {
        "name": "Jingle Roller Coaster",
        "location": {
            "x": -29,
            "y": 75,
            "z": 65
        },
        "dialogue": [
            "§8§l> §r§fWelcome to 'Jingle Roller Coaster,' a thrilling coaster ride! §l§a[1/5]",
            "§8§l> §r§fThis adventure will tour you through the entire map, offering captivating views. §l§a[2/5]",
            "§8§l> §r§fPress the 'Get A Minecart' button to grab a minecart, place it on the rail tracks, ride it, and then press the adjacent button. §l§a[3/5]",
            "§8§l> §r§fDon't forget to return the minecarts at the end. §l§a[4/5]",
            "§8§l> §r§fEnjoy the ride! §l§a[5/5]"
        ],
        "time": [0, 90, 195, 345, 410],
        "sound": "coasterguide"
    },
    {
        "name": "Ice Skating Arena",
        "location": {
            "x": -20,
            "y": 71,
            "z": 2
        },
        "dialogue": [
            "§8§l> §r§fWelcome to the 'Ice Skating Arena,' a winter wonderland of frosty fun! §l§a[1/4]",
            "§8§l> §r§fGlide gracefully on the ice with a pair of ice skates, available at the clothes shop. §l§a[2/4]",
            "§8§l> §r§fUse your map menu to teleport to the clothes shop and make your purchase. §l§a[3/4]",
            "§8§l> §r§fEnjoy the game! §l§a[4/4]"
        ],
        "time": [0, 100, 210, 300],
        "sound": "skating"
    },
    {
        "name": "Snowball Fight Arena",
        "location": {
            "x": -78,
            "y": 76,
            "z": -65
        },
        "dialogue": [
            "§8§l> §r§fWelcome to the 'Snowball Fight Globe,' a fantastic place for friendly snowball battles! §l§a[1/3]",
            "§8§l> §r§fTake advantage of the four Snowball Refill points positioned at each side to reload and keep the fun going. §l§a[2/3]",
            "§8§l> §r§fEnjoy the game! §l§a[3/3]"
        ],
        "time": [0, 115, 245],
        "sound": "snowball"
    },
    {
        "name": "Spleef Arena",
        "location": {
            "x": -67,
            "y": 108,
            "z": 14
        },
        "dialogue": [
            "§8§l> §r§fWelcome to the 'Spleef Arena,' an exhilarating and enjoyable game for friends! §l§a[1/8]",
            "§8§l> §r§fPress the button to join the game, and you'll be teleported to the waiting lobby. §l§a[2/8]",
            "§8§l> §r§fWait for all your friends to join, then press the 'Start Game' button. §l§a[3/8]",
            "§8§l> §r§fArmed with a shovel and snowballs, spleef your friends and strive to be the last one standing. §l§a[4/8]",
            "§8§l> §r§fThe winner will receive rewards. §l§a[5/8]",
            "§8§l> §r§fRemember to empty your inventory before joining, as it will be cleared later. §l§a[6/8]",
            "§8§l> §r§fCollect your items after the match. §l§a[7/8]",
            "§8§l> §r§fEnjoy the game! §l§a[8/8]"
        ],
        "time": [0, 110, 205, 290, 415, 470, 570, 620],
        "sound": "spleef"
    }
];